import { getSearchParam } from '../../helpers/SearchParams';
import { IFlight } from '../Dashboard/CustomerDashboard';

export interface IBookingList {
  flights: IFlight[]
}

export async function GetBookingList({ request }: { request: Request}): Promise<IBookingList> {
  const origin = getSearchParam(request.url, 'origin');
  const destination = getSearchParam(request.url, 'destination');
  const date = getSearchParam(request.url, 'date');
  const seatType = getSearchParam(request.url, 'seatType');

  console.log('ready to call API with:', origin, destination, date, seatType);

  return {
    flights: []
  };
}
